CRMchat APIBeta
Telegram APIMessages

messages.requestWebView

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.requestWebView

Open a bot mini app, sending over user information after user confirmation. After calling this method, until the user closes the webview, messages.RawProlongWebViewRequest must be called every 60 seconds.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Open a bot mini app, sending over user information after user confirmation. After calling this method, until the user closes the webview, messages.RawProlongWebViewRequest must be called every 60 seconds.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.requestWebView" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "bot": {        "_": "inputUserEmpty"      },      "platform": "string"    }  }'
{  "result": {    "_": "webViewResultUrl",    "fullsize": true,    "fullscreen": true,    "sameOrigin": true,    "queryId": "string",    "url": "string"  }}